<?php
get_header();?>


<div id="content">    

    <h1 id="mainpage-title">Подписка на рассылку</h1> 
    <div id="fulltext">

<? // режим подтверждение подписки
if (isset( $_GET['id'] )){

    $sanitized_id = sanitize_text_field( $_GET['id'] );
    $sql_update = "UPDATE {$wpdb->prefix}subusers SET status = 1 WHERE hash = '$sanitized_id'";

    $result = $wpdb->get_results( $sql_update );

    echo '<p>Спасибо, мы включили Ваш e-mail!</p>
    <p>Наши письма могут оказаться в разделе "Рассылки" Вашего почтового приложения или сайта.</p>';

} elseif (isset($_POST['email'])) {

    $email = strtolower(trim($_POST['email']));
    $email = sanitize_text_field($email);

    if (filter_var($email, FILTER_VALIDATE_EMAIL)) {

        $hash = md5('775+'.$email);
        $date_insert = date('Y-m-d H:i:s');

        $add_sub_sql = "INSERT INTO {$wpdb->prefix}subusers (mail, status, hash, date) VALUES ('$email', '0', '$hash', '$date_insert')";
    
        $result = $wpdb->get_results($add_sub_sql); 
        
        $hash_link = home_url().'/subscript?id='.$hash;
        $to = $email;
        $subject = 'Подписка на рассылку ВиЖ';
        $message = "
Здравствуйте!\n
Для подтверждения подписки на нашу рассылку перейдите по ссылке ниже\n
$hash_link.\n\n
Если вы не отправляли заявку просто проигнорируйте это письмо.";

        $headers = array('Content-Type: text/plain; charset=UTF-8');

        // Отправка письма
        wp_mail($to, $subject, $message, $headers);

        echo '<p>Благодарим за интерес к нашему изданию!</p>
        <p>На Вашу почту отправлено письмо для подтверждения подписки.</p>';
        
    
  }  else { ?>

        <p>Мы не можем добавить Вас в нашу рассылку.</p>
        <p>Адрес электронной почты недействительный.</p>
    
   <? } 


}?>
 
</div>    
    
</div>    



<?php get_footer();